<?php

if (isset($_SESSION['usuario'])){

$user=$_SESSION['usuario'];

}

else{

?>

<script>

location.href="index.php?errorusuario=3";

</script>

<?

}



				if (isset($_GET['b']))

					{

						//OBTENGO LA VARIABLE B

						$b=$_GET['b'];



						if ($b==1)

						{

							$hoy=date("Y-m-d");

							

							$fecha=explode("-",$hoy);

							

							if ($fecha[1] == 01)

								{$mes="Enero";}

							if ($fecha[1] == 02)

								{$mes="Febrero";}

							if ($fecha[1] == 03)

								{$mes="Marzo";}

							if ($fecha[1] == 04)

								{$mes="Abril";}

							if ($fecha[1] == 05)

								{$mes="Mayo";}

							if ($fecha[1] == 06)

								{$mes="Junio";}

							if ($fecha[1] == 07)

								{$mes="Julio";}

							if ($fecha[1] == '08')

								{$mes="Agosto";}

							if ($fecha[1] == '09')

								{$mes="Septiembre";}

							if ($fecha[1] == 10)

								{$mes="Octubre";}

							if ($fecha[1] == 11)

								{$mes="Noviembre";}

							if ($fecha[1] == 12)

								{$mes="Diciembre";}

							

							$fechafinal= $fecha[2]."-".$mes."-".$fecha[0];



						}//END IF B=1



						if ($b==2)

						{

							$fecha1=$_POST['fecha'];

							$fecha2=$_POST['fecha2'];

							

							//CALCULO DE FECHAS EN LETRAS

							$fe1=explode("-",$fecha1);

							

							if ($fe1[1] == 01)

								{$mes="Enero";}

							if ($fe1[1] == 02)

								{$mes="Febrero";}

							if ($fe1[1] == 03)

								{$mes="Marzo";}

							if ($fe1[1] == 04)

								{$mes="Abril";}

							if ($fe1[1] == 05)

								{$mes="Mayo";}

							if ($fe1[1] == 06)

								{$mes="Junio";}

							if ($fe1[1] == 07)

								{$mes="Julio";}

							if ($fe1[1] == '08')

								{$mes="Agosto";}

							if ($fe1[1] == '09')

								{$mes="Septiembre";}

							if ($fe1[1] == 10)

								{$mes="Octubre";}

							if ($fe1[1] == 11)

								{$mes="Noviembre";}

							if ($fe1[1] == 12)

								{$mes="Diciembre";}

							

							$fechafinal1= $fe1[2]."-".$mes."-".$fe1[0];





							$fe2=explode("-",$fecha2);

							

							if ($fe2[1] == 01)

								{$mes="Enero";}

							if ($fe2[1] == 02)

								{$mes="Febrero";}

							if ($fe2[1] == 03)

								{$mes="Marzo";}

							if ($fe2[1] == 04)

								{$mes="Abril";}

							if ($fe2[1] == 05)

								{$mes="Mayo";}

							if ($fe2[1] == 06)

								{$mes="Junio";}

							if ($fe2[1] == 07)

								{$mes="Julio";}

							if ($fe2[1] == 08)

								{$mes="Agosto";}

							if ($fe2[1] == 09)

								{$mes="Septiembre";}

							if ($fe2[1] == 10)

								{$mes="Octubre";}

							if ($fe2[1] == 11)

								{$mes="Noviembre";}

							if ($fe2[1] == 12)

								{$mes="Diciembre";}

							

							$fechafinal2= $fe2[2]."-".$mes."-".$fe2[0];



						}//END IF B=2



					}// END ISSET

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

<title>Untitled Document</title>

<style type="text/css">

<!--

body {

	margin-left: 0px;

	margin-top: 0px;

	margin-right: 0px;

	margin-bottom: 0px;

}

-->

</style>

<link href="ucaestilos.css" rel="stylesheet" type="text/css" />

<style type="text/css">

<!--

.Estilo1 {font-size: 14px}

-->

</style>

<link href="ticket_estiloimpresionrecibo.css" rel="stylesheet" type="text/css" media="print">

<style type="text/css">

<!--

.Estilo3 {font-size: 14}

-->

</style>

</head>

<body>

  <table width="950" border="0" align="center">

    <tr>

      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">

        <tr>

          <td width="16%"><img src="img/logo_reportes.jpg" width="242" height="85" /></td>

          <td width="71%"><div align="center"><span class="style4"><span class="Estilo3">CLINICA DE ODONTOLOG&Iacute;A</span> <br />

            AV. SIGLO XXI No. 6104, FRACC. SOLIDARIDAD I<br />

            REPORTE DE CORTE DE CAJA<br />

            <?php 

			if ($b==1)

			{echo "DEL ".$fechafinal;}

			if ($b==2)

			{echo "Del ".$fechafinal1." al ".$fechafinal2;}

			?>

            </span>

          </div></td>

          <td width="13%" valign="bottom"><div align="right" id="noimprimible"><a href="javascript:print()"><img src="img/icon_print.jpg" alt="Imprimir" width="22" height="22" border="0" /></a></div></td>

        </tr>

      </table></td>

    </tr>

    <tr>

      <td><table width="100%" height="0" border="0" cellpadding="0" cellspacing="0">

          <tr>

            <td align="center" valign="top"><hr width="100%" size="1" noshade="noshade"></td>

          </tr>

          <tr>

            <td>

            	<p>
            	  <?php

				include ("conexion.php");

					

						if ($b==1)

						{

							echo "<table border=1 bgcolor='#FFFFFF' align='center' cellpadding='2' class='tabla1'>";

							echo "<tr bgcolor='#4E5B7B' class='titulo' align='center'>";

							

							echo "<td class='style4'>";
							echo "No. Control";
							echo "</td>";

							echo "<td class='style4'>";
							echo "FOLIO";
							echo "</td>";

							echo "<td class='style4'>";

							echo "Fecha";

							echo "</td>";



							echo "<td class='style4'>";

							echo "Expediente";

							echo "</td>";



							echo "<td class='style4'>";

							echo "Alumno";

							echo "</td>";



							echo "<td class='style4'>";

							echo "Tratamiento";

							echo "</td>";



							echo "<td class='style4'>";

							echo "Monto";

							echo "</td>";

							

							echo "<td class='style4'>";

							echo "Descuento";

							echo "</td>";

							

							echo "<td class='style4'>";

							echo "TOTAL";

							echo "</td>";



							echo "</tr>";



							$total2=0;							

							$query="SELECT idSalida,expedientePaciente,doctor,montoTotal,idTratamiento,cifra,fechaSalida,reposicion,folio FROM salida WHERE fechaSalida='$hoy' and estado='Finalizada' ORDER BY folio ASC";

							$result=mysql_query($query,$conex) or die ("No se realizó query");



							while($fila = mysql_fetch_array($result))

							{

								echo "<tr>";

								//num control												
								echo "<td class='style1'>";
								echo $fila[0];
								echo "</td>";
								
								//Folio													
								echo "<td class='style1'>";
								echo $fila[8];
								echo "</td>";

								//fecha

								$fecharep=explode("-",$fila[6]);

								$fecharepor=$fecharep[2]."-".$fecharep[1]."-".$fecharep[0];

								echo "<td class='style1'>";

								echo $fecharepor;

								echo "</td>";

								

								//Paciente												

								echo "<td class='style1' align='right'>";

								echo $fila[1];

								echo "</td>";



								//Doctor											

								echo "<td class='style1'>";

								echo $fila[2];

								echo "</td>";



								//Tratamiento

								$cons1="SELECT tratamientoCompleto FROM tratamientocompleto WHERE idTratamiento='$fila[4]'";

								$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");

								$tratamiento=mysql_result($res1,0,'tratamientoCompleto');



								echo "<td class='style1'>";

								echo $tratamiento;

								echo "</td>";



								//monto											

								echo "<td class='style1' align='right'>";

								printf ("$ %.2f", $fila[3]);

								echo "</td>";

								

								//Descuento												

								echo "<td class='style1' align='center'>";
								if($fila[7]=="si")
								{echo "Reposición";}
								else
								{echo $fila[5]."%";}
								echo "</td>";

								$descue=$fila[5]/100;

								$descue2=$fila[3]*$descue;

								$total=$fila[3]-$descue2;



								//monto											

								echo "<td class='style10' bgcolor='D0D0D0' align='right'>";

								printf ("$ %.2f", $total);

								echo "</td>";



								echo "</tr>";

								$total2=$total2+$total;

							}//end de $cons2



							//TOTAL FINAL

							echo "<tr class='style1' bgcolor='D0D0D0'>";

								echo "<td colspan='9' class='style10' align='right'>";

								printf ("Total: $ %.2f", $total2);

								echo "</td>";

							echo "</tr>";



							echo "</table>";



						}//END IF B=1



						



						if ($b==2)

						{

							echo "<table border=1 bgcolor='#FFFFFF' align='center' cellpadding='2' class='tabla1'>";

							echo "<tr bgcolor='#4E5B7B' class='titulo' align='center'>";

							echo "<td class='style4'>";
							echo "No. Control";
							echo "</td>";

							echo "<td class='style4'>";
							echo "FOLIO";
							echo "</td>";


							echo "<td class='style4'>";

							echo "Fecha";

							echo "</td>";

							

							echo "<td class='style4'>";

							echo "Expediente";

							echo "</td>";



							echo "<td class='style4'>";

							echo "Alumno";

							echo "</td>";



							echo "<td class='style4'>";

							echo "Tratamiento";

							echo "</td>";



							echo "<td class='style4'>";

							echo "Monto";

							echo "</td>";

							

							echo "<td class='style4'>";

							echo "Descuento";

							echo "</td>";

							

							echo "<td class='style4'>";

							echo "TOTAL";

							echo "</td>";



							echo "</tr>";



							$total2=0;							
							$query="SELECT idSalida,expedientePaciente,doctor,montoTotal,idTratamiento,cifra,fechaSalida,reposicion,folio FROM salida WHERE fechaSalida between '$fecha1' and '$fecha2' and estado='Finalizada' ORDER BY folio ASC";
							$result=mysql_query($query,$conex) or die ("No se realizó query");
							while($fila = mysql_fetch_array($result))
							{
								echo "<tr>";

								//Folio													

								echo "<td class='style1'>";

								echo $fila[0];

								echo "</td>";

								echo "<td class='style1'>";

								echo $fila[8];

								echo "</td>";

								//Fecha

								$fecharep=explode("-",$fila[6]);

								$fecharepor=$fecharep[2]."-".$fecharep[1]."-".$fecharep[0];

								echo "<td class='style1'>";

								echo $fecharepor;

								echo "</td>";



								//Paciente												

								echo "<td class='style1' align='right'>";

								echo $fila[1];

								echo "</td>";



								//Doctor											

								echo "<td class='style1'>";

								echo $fila[2];

								echo "</td>";



								//Tratamiento

								$cons1="SELECT tratamientoCompleto FROM tratamientocompleto WHERE idTratamiento='$fila[4]'";

								$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");

								$tratamiento=mysql_result($res1,0,'tratamientoCompleto');



								echo "<td class='style1'>";

								echo $tratamiento;

								echo "</td>";



								//monto											

								echo "<td class='style1' align='right'>";

								printf ("$ %.2f", $fila[3]);

								echo "</td>";

								

								//Descuento												

								echo "<td class='style1' align='center'>";
								if($fila[7]=="si")
								{echo "Reposición";}
								else
								{echo $fila[5]."%";}
								echo "</td>";

								

								$descue=$fila[5]/100;

								$descue2=$fila[3]*$descue;

								$total=$fila[3]-$descue2;



								//monto											

								echo "<td class='style10' bgcolor='D0D0D0' align='right'>";

								printf ("$ %.2f", $total);

								echo "</td>";



								echo "</tr>";

								$total2=$total2+$total;

							}//end de $cons2



							//TOTAL FINAL

							echo "<tr class='style1' bgcolor='D0D0D0'>";

								echo "<td colspan='9' class='style10' align='right'>";

								printf ("Total: $ %.2f", $total2);

								echo "</td>";

							echo "</tr>";



							echo "</table>";



						}//END IF B=2



				?>            
          	  </p>
            	<!-- <p>
            	  <span class="style7">Cancelados:</span><br />
            	  <?php
					/*
						if ($b==1)

						{
							echo "<table border=1 bgcolor='#FFFFFF' cellpadding='2' cellspacing='5' class='tabla1'>";

							$cont=0;
							$conteo=0;
							$query="SELECT idSalida FROM salida WHERE fechaSalida='$hoy' and estado='Cancelada'";
							$result=mysql_query($query,$conex) or die ("No se realiz&oacute; query");
							while($fila = mysql_fetch_array($result))
							{
								if($cont==0)
								{
									echo "<tr>";
								}
									
									if($conteo==0)
									{
										echo "<td class='style1'>";
										echo $fila[0];
										echo "</td>";
									}
									else
									{
										echo "<td class='style1' bgcolor='#F0F0F0'>";
										echo $fila[0];
										echo "</td>";
									}
									
								if ($cont==19)
								{echo "</tr>";
								$cont=0;}
								else
								{$cont=$cont + 1;}
								
								if ($conteo==1)
								{$conteo=0;}
								else
								{$conteo=$conteo + 1;}
							}
							echo "</table>";
						}
						
						if ($b==2)
						{
							echo "<table border=1 bgcolor='#FFFFFF' cellpadding='2' cellspacing='5' class='tabla1'>";

							$cont=0;
							$conteo=0;
							$query="SELECT idSalida FROM salida WHERE fechaSalida between '$fecha1' and '$fecha2' and estado='Cancelada'";
							$result=mysql_query($query,$conex) or die ("No se realiz&oacute; query");
							while($fila = mysql_fetch_array($result))
							{
								if($cont==0)
								{
									echo "<tr>";
								}
									
									if($conteo==0)
									{
										echo "<td class='style1'>";
										echo $fila[0];
										echo "</td>";
									}
									else
									{
										echo "<td class='style1' bgcolor='#F0F0F0'>";
										echo $fila[0];
										echo "</td>";
									}
									
								if ($cont==19)
								{echo "</tr>";
								$cont=0;}
								else
								{$cont=$cont + 1;}
								
								if ($conteo==1)
								{$conteo=0;}
								else
								{$conteo=$conteo + 1;}
							}
							echo "</table>";
							
						}//END IF B=2

				*/

				?>
            	</p>--></td>

        </tr>

      </table></td>

    </tr>

  </table>

</body>

</html>



